> ## Documentation Index
> Fetch the complete documentation index at: https://getfaceage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a business

> Get the details of one of your businesses.

## Path parameters

**business\_id** `integer` *required*

ID of the business.

## Response

**status** `boolean`

`true` when the request succeeds.

**data** `object`

**business**

**id** `integer`

Business ID.

**name** `string`

Business name.

**main\_domain** `string`

Main domain of the business.

**site** `string`

Website URL.

**country\_id** `integer`

Country ID. See [Get countries](https://getfaceage.com/docs/api-reference/business/get-countries.md).

**business\_size** `string`

One of `small`, `medium`, `large`, `very_large`.

**token** `string`

The business's Face Age ID (API key).

**status** `string`

Business status, for example `active`.

**logo** `string`

Logo URL or path.

**mail\_**\* `string`

Outgoing email settings. See [Update a business](https://getfaceage.com/docs/api-reference/business/update-business.md).

**country\_list** `object`

Country details: `id`, `name`, `code`.

**access\_list** `object[]`

Domains allowed to use the API key. See [Add access](https://getfaceage.com/docs/api-reference/business/add-access.md).

**total\_bought\_credits** `object | null`

Total credits bought.

**total\_deducted\_credits** `object | null`

Total credits used.

**invoice** `object[]`

Purchased credit packages with `credit`, `expiry_date`, `access` and `price`.

```bash cURL theme={null}
curl --request GET 'https://core.getfaceage.com/api/v1/business/{business_id}' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer your_secret_key'
```

```json 200 theme={null}
{
  "status": true,
  "data": {
    "id": 8820,
    "user_id": 5,
    "name": "My First beauty business",
    "main_domain": "myfirst-beauty.com",
    "site": "https://www.myfirst-beauty.com",
    "country_id": 22,
    "city": null,
    "address": null,
    "zip": null,
    "contact_email": "myfirstmail@mail.com",
    "phone": null,
    "customer_type": "subscriber",
    "shopify_shop_id": 2267877,
    "business_size": "small",
    "token": "zxNPIQhoAWmY934DnqrT",
    "status": "active",
    "after_analyze_status": "none",
    "logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
    "mail_from_address": "john@mymail.com",
    "mail_from_name": "John Smith",
    "mail_host": "sandbox.smtp.mailtrap.io",
    "mail_mailer": "smtp",
    "mail_port": 2525,
    "mail_username": "pimJplc******",
    "mail_password": "*************",
    "mail_encryption": "TLS",
    "deleted_date": null,
    "created_at": "2024-03-12T10:29:08.000000Z",
    "updated_at": "2024-03-12T10:29:08.000000Z",
    "country_list": {
      "id": 22,
      "name": "Belgium",
      "code": "BE"
    },
    "access_list": [
      {
        "id": 26,
        "business_id": 8820,
        "site": "https://www.myfirst-beauty.com",
        "created_at": "2024-03-12T10:29:08.000000Z",
        "updated_at": "2024-03-12T10:29:08.000000Z"
      }
    ],
    "total_bought_credits": null,
    "total_deducted_credits": {
      "business_id": 8820,
      "total": 6000
    },
    "invoice": [
      {
        "id": 83,
        "business_id": 8820,
        "credit": 6000,
        "expiry_date": "2028-03-20 18:31:25",
        "access": "all",
        "created_at": "2024-06-10T04:31:25.000000Z",
        "price": 12
      }
    ]
  }
}
```

```json 401 theme={null}
{
  "message": "Unauthenticated."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.